%global pypi_name future
%global commitId af1db970b0879b59e7aeb798c27a623144561cff

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        0.18.3
Release:        1%{?dist}
Summary:        Clean single-source support for Python 3 and 2

License:        MIT
URL:            https://github.com/PythonCharmers/python-future
Source0:        python-future-af1db970b0879b59e7aeb798c27a623144561cff.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools


%description
%{summary}


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
set -ex
%autosetup -n python-%{pypi_name}-%{commitId}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
set -ex
%py3_build


%install
set -ex
%py3_install


%files -n python%{python3_pkgversion}-%{pypi_name}
%license docs/_themes/LICENSE LICENSE.txt
%doc README.rst
%exclude %{_bindir}/futurize
%exclude %{_bindir}/pasteurize
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/libfuturize
%{python3_sitelib}/libpasteurize
%{python3_sitelib}/past
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Jan 20 2023 Satoe Imaishi <simaishi@redhat.com> - 0.18.3-1
- Update to 0.18.3

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 0.18.2-5
- Build against python 3.9

* Mon Sep 06 2021 Evgeni Golov - 0.18.2-4
- Build against Python 3.8

* Mon Jan 25 2021 Evgeni Golov - 0.18.2-3
- Don't ship futurize and pasteurize in bin

* Fri Feb 28 2020 Zach Huntington-Meath <zhunting@redhat.com> - 0.18.2-2
- Bump release to build for el8

* Tue Nov 19 2019 Evgeni Golov - 0.18.2-1
- Initial package.
